Package org.gradle.api.specs

# Interface Spec<T>

Type Parameters:
  `T` - The target type for this Spec

All Known Implementing Classes:
  `AndSpec`, `CompositeSpec`, `NotSpec`, `OrSpec`

public interface Spec<T>
Represents some predicate against objects of type T.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSatisfiedBy(T element)`

## Method Details

### isSatisfiedBy

boolean isSatisfiedBy(T element)